Subject: Re: [PATCH 1/8] networking/fanotify: declare fanotify socket numbers

From: Evgeniy Polyakov <[email-masked]>
Date: Sat, 12 Sep 2009 13:47:27 +0400

On Fri, Sep 11, 2009 at 10:42:54PM +0100, Jamie Lokier ([email-masked]) wrote:
> While skbs and netlink aren't that slow, I suspect they're an order of
> magnitude or two slower than, say, epoll or inotify at passing events
> around.

Skbs are those tiny bits which allow 100 Gbit/s forwarding between multiple
interfaces. But of course it can not be as fast as plain memory copy :)

Having one skb allocation per IO syscall will be challenging but after
all we have this for send/recv calls and achieve high performance
numbers. Idea with merging events in the same skb will be also very non-trivial.

-- 
	Evgeniy Polyakov